#include "../lib.h"

extern "C" {
void __pragma_loopbound(unsigned, unsigned) {}

void fft_init(void);
void fft_main(void);
int fft_return(void);

EXPORT("wasm_module") int wasm_module(void) {
  fft_init();

  fail_start_trace();
  fft_main();
  fail_stop_trace();

  int ret = fft_return();
  if (ret == 0) {
    PRINT("result correct.\n");
    fail_marker_positive();
  } else {
    PRINT("result incorrect.\n");
    fail_marker_negative();
  }
  return ret;
}
}
